#
# Author: Francesco Talpo
#
# This file is part of Modplanner.
#
# Modplanner is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.
#
# Modplanner is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Modplanner. If not, see <https://www.gnu.org/licenses/>.
#


from __future__ import annotations

from typing import Protocol, TYPE_CHECKING

if TYPE_CHECKING:
    from modplanner import module


class SpackModuleRepo(Protocol):
    """
    Simple interface for a Spack module repository.

    Right now, the only implementation is `ModuleIndexRepo`, but
    others will likely be defined in the future, likely as fallback
    mechanisms.
    """

    def from_constraint(self, constraint: str) -> list[module.Module]: ...
    def implicit_modules(self) -> list[module.Module]: ...
