#!/bin/bash

script_path=$(realpath "$0")
parent=$(dirname "$script_path")

definitions=$(yq '.definitions' "$parent/modplanner.yaml")

merged_list=$(echo "$definitions" | jq -r -s '.[0] | to_entries | map(.value) | add | unique | .[]')

src1=$parent/src1
src2=$parent/src2

for dir in $src1 $src2; do
    if ! [ -d "$dir" ]; then
        mkdir -p "$dir"
    fi
done

for def in $merged_list; do
    
    for src in $src1 $src2; do
        dir=$src/$def
        if ! [ -d "$dir" ]; then
            mkdir -p "$dir"
        fi

        if [ $src == $src1 ]; then
            nums=$(seq 1 3)
        else
            nums=$(seq 4 6)
        fi

        for num in $nums; do
            echo "Module contents" >> "$dir/module_${def}_${num}"
        done
    done
done