from filetree.tree import Tree, Node
from modplanner.service.parse import ModuleParser, flat_parser


import pytest


@pytest.fixture
def tree():
    root = Node.directory("/")
    dir = Node.directory("dir")
    mod1 = Node.file("module_1")
    mod2 = Node.file("module_2")

    root.add_child(dir)
    dir.add_child(mod1)
    dir.add_child(mod2)

    return Tree(root)


def test_flat_parser_ignores_directories(tree):
    parser = ModuleParser()
    mods = list(parser.modules_from_tree(tree))
    assert len(mods) == 2
